summaryrefslogtreecommitdiffstats
path: root/makedist
diff options
context:
space:
mode:
Diffstat (limited to 'makedist')
-rwxr-xr-xmakedist20
1 files changed, 20 insertions, 0 deletions
diff --git a/makedist b/makedist
new file mode 100755
index 0000000..5b6db54
--- /dev/null
+++ b/makedist
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+target=${1-~/public_html/source/mdctl}
+if [ -d $target ]
+then :
+else echo $target is not a directory
+ exit 2
+fi
+set `grep '^char Version' ReadMe.c `
+echo version = $6
+base=mdctl-$6.tgz
+if [ -f $target/$base ]
+then
+ echo $target/$base exists.
+ exit 1
+fi
+trap "rm $target/$base; exit" 1 2 3
+( cd .. ; tar czvf - mdctl ) > $target/$base
+chmod a+r $target/$base
+ls -l $target/$base \ No newline at end of file